summaryrefslogtreecommitdiffstats
path: root/PCBSD
diff options
context:
space:
mode:
authorScott Ullrich <sullrich@pfsense.org>2010-05-23 00:03:20 -0400
committerScott Ullrich <sullrich@pfsense.org>2010-05-23 00:03:20 -0400
commit3d99ee74d0d3df3e3bc72e2bbda413d50c5c19ef (patch)
tree871750fdbe0a920106474d455cf8f555064d826c /PCBSD
parent996b3504d3b311cce30de138a8aad7fa88749f6f (diff)
downloadpfsense-3d99ee74d0d3df3e3bc72e2bbda413d50c5c19ef.zip
pfsense-3d99ee74d0d3df3e3bc72e2bbda413d50c5c19ef.tar.gz
Customize for both PC-BSD and pfSense
Diffstat (limited to 'PCBSD')
-rwxr-xr-xPCBSD/pc-sysinstall/backend-query/test-live.sh18
1 files changed, 14 insertions, 4 deletions
diff --git a/PCBSD/pc-sysinstall/backend-query/test-live.sh b/PCBSD/pc-sysinstall/backend-query/test-live.sh
index 539f774..87fb45c 100755
--- a/PCBSD/pc-sysinstall/backend-query/test-live.sh
+++ b/PCBSD/pc-sysinstall/backend-query/test-live.sh
@@ -2,13 +2,23 @@
# Script which checks if we are running from install media, or real system
#############################################################################
-mount | grep "/dev/iso9660/pfSense" >/dev/null 2>/dev/null
+# Test for PC-BSD Style mount
+dmesg | grep "md0: Preloaded image" >/dev/null 2>/dev/null
if [ "$?" = "0" ]
then
echo "INSTALL-MEDIA"
exit 0
-else
- echo "REAL-DISK"
- exit 1
fi
+# Test for pfSense LIVECD
+mount | grep "/dev/iso9660/pfSense" >/dev/null 2>/dev/null
+if [ "$?" = "0" ]
+then
+ echo "pfSense-LiveCD/Installer"
+ exit 0
+fi
+
+echo "REAL-DISK"
+exit 1
+
+
OpenPOWER on IntegriCloud